import { TCancelarBoletoParams } from './bancoInterAPI/boletos/cancelarBoleto';
import { TIncluirBoletoDeCobrancaParams } from './bancoInterAPI/boletos/incluirBoletoDeCobranca';
import { TRecuperarBoletoDetalhadoParams } from './bancoInterAPI/boletos/recuperarBoletoDetalhado';
import { TRecuperarBoletoEmPDFParams } from './bancoInterAPI/boletos/recuperarBoletoEmPDF';
import { TRecuperarColecaoDeBoletosQueryParams } from './bancoInterAPI/boletos/recuperarColecaoDeBoletos';
import { TRecuperarSumarioDeBoletosQueryParams } from './bancoInterAPI/boletos/recuperarSumarioDeBoletos';
import { TClientConfigProps, TObterTokenOAuthSpecificProps } from './bancoInterAPI/token/obterTokenOAuth';
import { TCriarWebhookParams } from './bancoInterAPI/webhooks/criarWebhook';
import { TGetAxiosInstanceProps } from './utils/axios';
declare type TAPIConstructorProps = TGetAxiosInstanceProps & TClientConfigProps & TObterTokenOAuthSpecificProps;
export declare class API {
    private axios;
    private obterTokenOAuthParams;
    private accessToken;
    private accessTokenExpiryDate;
    constructor(props: TAPIConstructorProps);
    private obterTokenOAuth;
    recuperarColecaoDeBoletos(props: TRecuperarColecaoDeBoletosQueryParams): Promise<import("./bancoInterAPI/boletos/recuperarColecaoDeBoletos").TRecuperarColecaoDeBoletosResponse>;
    recuperarSumarioDeBoletos(props: TRecuperarSumarioDeBoletosQueryParams): Promise<import("./bancoInterAPI/boletos/recuperarSumarioDeBoletos").TRecuperarSumarioDeBoletosResponse>;
    recuperarBoletoDetalhado(props: TRecuperarBoletoDetalhadoParams): Promise<import("./bancoInterAPI/boletos/types").TBoleto>;
    recuperarBoletoEmPDF(props: TRecuperarBoletoEmPDFParams): Promise<import("./bancoInterAPI/boletos/recuperarBoletoEmPDF").TRecuperarBoletoEmPDFResponse>;
    cancelarBoleto(props: TCancelarBoletoParams): Promise<undefined>;
    incluirBoletoDeCobranca(props: TIncluirBoletoDeCobrancaParams): Promise<import("./bancoInterAPI/boletos/incluirBoletoDeCobranca").TIncluirBoletoDeCobrancaResponse>;
    criarWebhook(props: TCriarWebhookParams): Promise<undefined>;
    obterWebhookCadastrado(): Promise<import("./bancoInterAPI/webhooks/obterWebhookCadastrado").TObterWebhookCadastradoResponse>;
    excluirWebhook(): Promise<undefined>;
}
export {};
