import { AxiosInstance } from 'axios';
declare type TInterScopeTypes = 'boleto-cobranca.read' | 'boleto-cobranca.write' | 'extrato.read' | 'pagamento-boleto.read' | 'pagamento-boleto.write' | 'pagamento-darf.write';
declare type TInterGrantTypes = 'client_credentials';
export declare type TClientConfigProps = {
    clientId: string;
    clientSecret: string;
};
export declare type TObterTokenOAuthSpecificProps = {
    grantType?: TInterGrantTypes;
    scope: TInterScopeTypes | TInterScopeTypes[];
};
declare type TObterTokenOAuthProps = TClientConfigProps & TObterTokenOAuthSpecificProps & {
    axios: AxiosInstance;
};
export declare type TObterTokenOAuthResponse = {
    access_token: string;
    token_type: string;
    expires_in: number;
    scope: string;
};
export declare const obterTokenOAuth: (props: TObterTokenOAuthProps) => Promise<TObterTokenOAuthResponse>;
export {};
